Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentPositionSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.DocumentPositionSpec

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`, `ListItem`

    public class DocumentPositionSpec
    extends Id
    implements ListItem

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocumentPositionSpec()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAmount()` |
  `java.lang.String` | `getCount()` |
  `java.lang.String` | `getCountNumsAfterComma()` |
  `java.lang.String` | `getCountNumsRoundingMode()` |
  `java.lang.String` | `getExtractor()` |
  `java.lang.String` | `getName()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `java.lang.String` | `getTitle()` |
  `java.lang.String` | `getUnit()` |
  `java.lang.String` | `getUnitCode()` |
  `boolean` | `isAddWhenLessZero()` |
  `boolean` | `isInTotal()` |
  `void` | `setAddWhenLessZero​(boolean addWhenLessZero)` |
  `void` | `setAmount​(java.lang.String summ)` |
  `void` | `setCount​(java.lang.String quantity)` |
  `void` | `setCountNumsAfterComma​(java.lang.String qtyNumsAfterComma)` |
  `void` | `setCountNumsRoundingMode​(java.lang.String qtyNumsRoundingMode)` |
  `void` | `setExtractor​(java.lang.String extractor)` |
  `void` | `setInTotal​(boolean inSum)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setUnit​(java.lang.String unit)` |
  `void` | `setUnitCode​(java.lang.String unitCode)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DocumentPositionSpec

    public DocumentPositionSpec()

- ## Method Details

  - ### getAmount

    public java.lang.String getAmount()

  - ### setAmount

    public void setAmount​(java.lang.String summ)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### isInTotal

    public boolean isInTotal()

  - ### setInTotal

    public void setInTotal​(boolean inSum)

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### setAddWhenLessZero

    public void setAddWhenLessZero​(boolean addWhenLessZero)

  - ### getUnit

    public java.lang.String getUnit()

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getUnitCode

    public java.lang.String getUnitCode()

  - ### setUnitCode

    public void setUnitCode​(java.lang.String unitCode)

  - ### getExtractor

    public java.lang.String getExtractor()

  - ### setExtractor

    public void setExtractor​(java.lang.String extractor)

  - ### getCount

    public java.lang.String getCount()

  - ### setCount

    public void setCount​(java.lang.String quantity)

  - ### getCountNumsAfterComma

    public java.lang.String getCountNumsAfterComma()

  - ### setCountNumsAfterComma

    public void setCountNumsAfterComma​(java.lang.String qtyNumsAfterComma)

  - ### getCountNumsRoundingMode

    public java.lang.String getCountNumsRoundingMode()

  - ### setCountNumsRoundingMode

    public void setCountNumsRoundingMode​(java.lang.String qtyNumsRoundingMode)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)